<?xml version="1.0"?>
<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" layout="admin-2columns-left" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <head>
        <script src="FiloBlu_Rma::js/form/changesize.js" />
        <script src="FiloBlu_Rma::js/rma-override.js"/>
    </head>
    <body>
        <referenceBlock name="rma_items_grid">
            <block class="Magento\Backend\Block\Widget\Grid\ColumnSet" name="rma_items_grid.grid.columnSet" as="grid.columnSet">
                <block class="FiloBlu\Rma\Block\Adminhtml\Rma\Widget\Grid\Column" name="rma_items_grid.grid.columnSet.changesize" as="changesize" >
                    <arguments>
                        <argument name="header" xsi:type="string" translate="true">ChangeSize</argument>
                        <argument name="index" xsi:type="string">product_options</argument>
                        <argument name="id" xsi:type="string">changesize</argument>
                        <argument name="filter" xsi:type="boolean">false</argument>
                        <argument name="sortable" xsi:type="boolean">false</argument>
                        <argument name="type" xsi:type="string">text</argument>
                        <argument name="default" xsi:type="string">0.00</argument>
                    </arguments>
                </block>
            </block>
            <action method="addColumnsOrder">
                <argument name="columnId" xsi:type="string">changesize</argument>
                <argument name="after" xsi:type="string">resolution</argument>
            </action>
        </referenceBlock>
        <referenceContainer name="before.body.end">
            <block class="FiloBlu\Rma\Block\Adminhtml\Rma\Grid\Js" template="FiloBlu_Rma::return/js.phtml" name="filoblu_rma_js_create"/>
        </referenceContainer>

        <referenceBlock name="magento_rma_edit_tabs">

            <block class="FiloBlu\Rma\Block\Adminhtml\Rma\NewRma\Tab\EasyReturn"
                   name="filoblu_rma_new_easy_return"
                   template="Magento_Backend::widget/form.phtml" />

            <action method="addTabAfter" ifconfig="filoblu_disablerma_section/easy_return_matrixrate_group/easy_return_enable">
                <argument name="name" xsi:type="string">filoblu_easy_return</argument>
                <argument name="block" xsi:type="string">filoblu_rma_new_easy_return</argument>
                <argument name="after" xsi:type="string">general_section</argument>
            </action>

        </referenceBlock>
    </body>
</page>
